Bug 1406434 - Default validation for data type is not properly set when adding a new TextBox field
Summary: Default validation for data type is not properly set when adding a new TextBo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Shveta
QA Contact: Shveta
URL:
Whiteboard: ui:dialog
Depends On: 1319781
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-20 14:09 UTC by Satoe Imaishi
Modified: 2017-02-27 19:16 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1319781
Environment:
Last Closed: 2017-02-27 19:16:27 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
validation shown (90.89 KB, image/png)
2017-01-25 20:39 UTC, Shveta
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-10 00:05:47 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/feaecc20ebbb131021b3c680086b87ed2754d377

commit feaecc20ebbb131021b3c680086b87ed2754d377
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Dec 19 14:16:29 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 19:02:05 2017 -0500

    Merge pull request #13235 from h-kataria/dialog_text_field_initialization_fix
    
    Fixed params[:field_typ] value check.
    (cherry picked from commit 7dce38bc500dd227daceebd45c9b01f2edb77376)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1406434

 .../miq_ae_customization_controller/dialogs.rb     |  2 +-
 .../dialogs_spec.rb                                | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)

Comment 3 Harpreet Kataria 2017-01-13 15:49:38 UTC
https://github.com/ManageIQ/manageiq/pull/13235 backported to EUWE

Comment 4 Shveta 2017-01-25 20:39:22 UTC
Created attachment 1244417 [details]
validation shown

Verified in 5.7.1.0.20170124142149_8a5f4d5

Comment 5 errata-xmlrpc 2017-02-27 19:16:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.